Zum Hauptinhalt springen

Delete your account and all your personal data

DELETE/v2/users/self
API-Version
v2
Request-Methode
DELETE
Operation-ID
user-delete-user

Request​

Responses​

Kein Response-Inhalt angegeben.

Format
application/json
Beschreibung

An additional second factor code is necessary to process the request.

  • *
Content-Type: application/json

null
{
"allOf": [
{
"properties": {
"info": {
"description": "A json object, given further information about the error",
"type": "object"
},
"message": {
"description": "Some more detailed information about the error",
"type": "string"
},
"name": {
"description": "Unique key for the error type",
"type": "string"
}
},
"required": [
"name",
"message"
],
"type": "object"
},
{
"properties": {
"name": {
"enum": [
"SecondFactorRequired"
],
"type": "string"
}
},
"required": [
"name"
],
"type": "object"
}
]
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X DELETE \
-d '{"multiFactorCode":"123456","password":"string"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/users/self
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.user.deleteUser({
"data": {
"multiFactorCode": "123456",
"password": "string"
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\User\DeleteUser\DeleteUserRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\User\DeleteUser\DeleteUserRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// DeleteUserRequestBody to learn how to construct a valid instance
$body = new DeleteUserRequestBody(/* TODO: ... */);

$request = (new DeleteUserRequest(
body: $body
));
$response = $client->user()->deleteUser($request);

var_dump($response->getBody();

Auf dieser Seite